---
title: Get Links.
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Browser Rendering](https://developers.cloudflare.com/api/go/resources/browser_rendering)

[Links](https://developers.cloudflare.com/api/go/resources/browser_rendering/subresources/links)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get Links.

client.BrowserRendering.Links.New(ctx, params) (\*\[]string, error)

POST/accounts/{account\_id}/browser-rendering/links

Get links from a web page.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Browser Rendering Write`

##### ParametersExpand Collapse

<details>

<summary>

params LinkNewParams

</summary>

AccountID param.Field\[string]

Path param: Account ID.

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20account_id">Link to this property</a>

URL param.Field\[string]

Body param

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20url">Link to this property</a>

<details>

<summary>

Browser param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/browser_rendering/subresources/links/methods/create#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20browser%20%3E%20(schema)">LinkNewParamsVariant0Browser</a>]Optional

Query param: Rendering backend. Set to <code>kitesurf</code> to use Kitesurf (beta).

</summary>

const LinkNewParamsVariant0BrowserKitesurf <a href="https://developers.cloudflare.com/api/go/resources/browser_rendering/subresources/links/methods/create#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20browser%20%3E%20(schema)">LinkNewParamsVariant0Browser</a> = "kitesurf"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20browser%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20browser">Link to this property</a>

CacheTTL param.Field\[float64]Optional

Query param: Cache TTL default is 5s. Set to 0 to disable.

maximum86400

minimum0

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cacheTTL">Link to this property</a>

ActionTimeout param.Field\[float64]Optional

Body param: The maximum duration allowed for the browser action to complete after the page has loaded (such as taking screenshots, extracting content, or generating PDFs). If this time limit is exceeded, the action stops and returns a timeout error.

maximum120000

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20actionTimeout">Link to this property</a>

<details>

<summary>

AddScriptTag param.Field\[\[]LinkNewParamsVariant0AddScriptTag]Optional

Body param: Adds a script element into the page with the desired URL or content.

</summary>

ID stringOptional

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20addScriptTag%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20id">Link to this property</a>

Content stringOptional

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20addScriptTag%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20content">Link to this property</a>

Type stringOptional

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20addScriptTag%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20type">Link to this property</a>

URL stringOptional

formaturi

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20addScriptTag%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20url">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20addScriptTag">Link to this property</a>

<details>

<summary>

AddStyleTag param.Field\[\[]LinkNewParamsVariant0AddStyleTag]Optional

Body param: Adds a <code>&lt;link rel="stylesheet"&gt;</code> tag into the page with the desired URL or a <code>&lt;style type="text/css"&gt;</code> tag with the content.

</summary>

Content stringOptional

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20addStyleTag%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20content">Link to this property</a>

URL stringOptional

formaturi

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20addStyleTag%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20url">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20addStyleTag">Link to this property</a>

AllowRequestPattern param.Field\[\[]string]Optional

Body param: Only allow requests that match the provided regex patterns, eg. ’/^.\*.(css)’. Reject rules are applied first.

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowRequestPattern">Link to this property</a>

<details>

<summary>

AllowResourceTypes param.Field\[\[]LinkNewParamsVariant0AllowResourceType]Optional

Body param: Only allow requests that match the provided resource types, eg. ‘image’ or ‘script’. Reject rules are applied first.

</summary>

const LinkNewParamsVariant0AllowResourceTypeDocument LinkNewParamsVariant0AllowResourceType = "document"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%200">Link to this property</a>

const LinkNewParamsVariant0AllowResourceTypeStylesheet LinkNewParamsVariant0AllowResourceType = "stylesheet"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%201">Link to this property</a>

const LinkNewParamsVariant0AllowResourceTypeImage LinkNewParamsVariant0AllowResourceType = "image"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%202">Link to this property</a>

const LinkNewParamsVariant0AllowResourceTypeMedia LinkNewParamsVariant0AllowResourceType = "media"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%203">Link to this property</a>

const LinkNewParamsVariant0AllowResourceTypeFont LinkNewParamsVariant0AllowResourceType = "font"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%204">Link to this property</a>

const LinkNewParamsVariant0AllowResourceTypeScript LinkNewParamsVariant0AllowResourceType = "script"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%205">Link to this property</a>

const LinkNewParamsVariant0AllowResourceTypeTexttrack LinkNewParamsVariant0AllowResourceType = "texttrack"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%206">Link to this property</a>

const LinkNewParamsVariant0AllowResourceTypeXHR LinkNewParamsVariant0AllowResourceType = "xhr"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%207">Link to this property</a>

const LinkNewParamsVariant0AllowResourceTypeFetch LinkNewParamsVariant0AllowResourceType = "fetch"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%208">Link to this property</a>

const LinkNewParamsVariant0AllowResourceTypePrefetch LinkNewParamsVariant0AllowResourceType = "prefetch"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%209">Link to this property</a>

const LinkNewParamsVariant0AllowResourceTypeEventsource LinkNewParamsVariant0AllowResourceType = "eventsource"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2010">Link to this property</a>

const LinkNewParamsVariant0AllowResourceTypeWebsocket LinkNewParamsVariant0AllowResourceType = "websocket"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2011">Link to this property</a>

const LinkNewParamsVariant0AllowResourceTypeManifest LinkNewParamsVariant0AllowResourceType = "manifest"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2012">Link to this property</a>

const LinkNewParamsVariant0AllowResourceTypeSignedexchange LinkNewParamsVariant0AllowResourceType = "signedexchange"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2013">Link to this property</a>

const LinkNewParamsVariant0AllowResourceTypePing LinkNewParamsVariant0AllowResourceType = "ping"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2014">Link to this property</a>

const LinkNewParamsVariant0AllowResourceTypeCspviolationreport LinkNewParamsVariant0AllowResourceType = "cspviolationreport"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2015">Link to this property</a>

const LinkNewParamsVariant0AllowResourceTypePreflight LinkNewParamsVariant0AllowResourceType = "preflight"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2016">Link to this property</a>

const LinkNewParamsVariant0AllowResourceTypeOther LinkNewParamsVariant0AllowResourceType = "other"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2017">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes">Link to this property</a>

<details>

<summary>

Authenticate param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/browser_rendering/subresources/links/methods/create#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20authenticate%20%3E%20(schema)">LinkNewParamsVariant0Authenticate</a>]Optional

Body param: Provide credentials for HTTP authentication.

</summary>

Password string

minLength1

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20authenticate%20%3E%20(schema)%20%3E%20(property)%20password">Link to this property</a>

Username string

minLength1

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20authenticate%20%3E%20(schema)%20%3E%20(property)%20username">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20authenticate">Link to this property</a>

BestAttempt param.Field\[bool]Optional

Body param: Attempt to proceed when ‘awaited’ events fail or timeout.

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20bestAttempt">Link to this property</a>

<details>

<summary>

Cookies param.Field\[\[]LinkNewParamsVariant0Cookie]Optional

Body param: Check <a href="https://pptr.dev/api/puppeteer.page.setcookie">options</a>.

</summary>

Name string

Cookie name.

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20name">Link to this property</a>

Value string

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20value">Link to this property</a>

Domain stringOptional

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20domain">Link to this property</a>

Expires float64Optional

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20expires">Link to this property</a>

HTTPOnly boolOptional

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20httpOnly">Link to this property</a>

PartitionKey stringOptional

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20partitionKey">Link to this property</a>

Path stringOptional

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20path">Link to this property</a>

<details>

<summary>

Priority LinkNewParamsVariant0CookiesPriorityOptional

</summary>

One of the following:

const LinkNewParamsVariant0CookiesPriorityLow LinkNewParamsVariant0CookiesPriority = "Low"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20priority%20%3E%20(member)%200">Link to this property</a>

const LinkNewParamsVariant0CookiesPriorityMedium LinkNewParamsVariant0CookiesPriority = "Medium"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20priority%20%3E%20(member)%201">Link to this property</a>

const LinkNewParamsVariant0CookiesPriorityHigh LinkNewParamsVariant0CookiesPriority = "High"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20priority%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20priority">Link to this property</a>

SameParty boolOptional

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20sameParty">Link to this property</a>

<details>

<summary>

SameSite LinkNewParamsVariant0CookiesSameSiteOptional

</summary>

One of the following:

const LinkNewParamsVariant0CookiesSameSiteStrict LinkNewParamsVariant0CookiesSameSite = "Strict"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20sameSite%20%3E%20(member)%200">Link to this property</a>

const LinkNewParamsVariant0CookiesSameSiteLax LinkNewParamsVariant0CookiesSameSite = "Lax"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20sameSite%20%3E%20(member)%201">Link to this property</a>

const LinkNewParamsVariant0CookiesSameSiteNone LinkNewParamsVariant0CookiesSameSite = "None"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20sameSite%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20sameSite">Link to this property</a>

Secure boolOptional

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20secure">Link to this property</a>

SourcePort float64Optional

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20sourcePort">Link to this property</a>

<details>

<summary>

SourceScheme LinkNewParamsVariant0CookiesSourceSchemeOptional

</summary>

One of the following:

const LinkNewParamsVariant0CookiesSourceSchemeUnset LinkNewParamsVariant0CookiesSourceScheme = "Unset"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20sourceScheme%20%3E%20(member)%200">Link to this property</a>

const LinkNewParamsVariant0CookiesSourceSchemeNonSecure LinkNewParamsVariant0CookiesSourceScheme = "NonSecure"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20sourceScheme%20%3E%20(member)%201">Link to this property</a>

const LinkNewParamsVariant0CookiesSourceSchemeSecure LinkNewParamsVariant0CookiesSourceScheme = "Secure"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20sourceScheme%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20sourceScheme">Link to this property</a>

URL stringOptional

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20url">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies">Link to this property</a>

EmulateMediaType param.Field\[string]Optional

Body param

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20emulateMediaType">Link to this property</a>

ExcludeExternalLinks param.Field\[bool]Optional

Body param

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20excludeExternalLinks">Link to this property</a>

<details>

<summary>

GotoOptions param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/browser_rendering/subresources/links/methods/create#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)">LinkNewParamsVariant0GotoOptions</a>]Optional

Body param: Check <a href="https://pptr.dev/api/puppeteer.gotooptions">options</a>.

</summary>

Referer stringOptional

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)%20%3E%20(property)%20referer">Link to this property</a>

ReferrerPolicy stringOptional

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)%20%3E%20(property)%20referrerPolicy">Link to this property</a>

Timeout float64Optional

maximum60000

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)%20%3E%20(property)%20timeout">Link to this property</a>

<details>

<summary>

WaitUntil LinkNewParamsVariant0GotoOptionsWaitUntilUnionOptional

</summary>

One of the following:

<details>

<summary>

LinkNewParamsVariant0GotoOptionsWaitUntilString

</summary>

One of the following:

const LinkNewParamsVariant0GotoOptionsWaitUntilStringLoad LinkNewParamsVariant0GotoOptionsWaitUntilString = "load"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)%20%3E%20(property)%20waitUntil%20%3E%20(variant)%200%20%3E%20(member)%200">Link to this property</a>

const LinkNewParamsVariant0GotoOptionsWaitUntilStringDomcontentloaded LinkNewParamsVariant0GotoOptionsWaitUntilString = "domcontentloaded"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)%20%3E%20(property)%20waitUntil%20%3E%20(variant)%200%20%3E%20(member)%201">Link to this property</a>

const LinkNewParamsVariant0GotoOptionsWaitUntilStringNetworkidle0 LinkNewParamsVariant0GotoOptionsWaitUntilString = "networkidle0"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)%20%3E%20(property)%20waitUntil%20%3E%20(variant)%200%20%3E%20(member)%202">Link to this property</a>

const LinkNewParamsVariant0GotoOptionsWaitUntilStringNetworkidle2 LinkNewParamsVariant0GotoOptionsWaitUntilString = "networkidle2"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)%20%3E%20(property)%20waitUntil%20%3E%20(variant)%200%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)%20%3E%20(property)%20waitUntil%20%3E%20(variant)%200">Link to this property</a>

<details>

<summary>

LinkNewParamsVariant0GotoOptionsWaitUntilArray

</summary>

One of the following:

const LinkNewParamsVariant0GotoOptionsWaitUntilArrayLoad LinkNewParamsVariant0GotoOptionsWaitUntilArray = "load"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)%20%3E%20(property)%20waitUntil%20%3E%20(variant)%201%20%3E%20(items)%20%3E%20(member)%200">Link to this property</a>

const LinkNewParamsVariant0GotoOptionsWaitUntilArrayDomcontentloaded LinkNewParamsVariant0GotoOptionsWaitUntilArray = "domcontentloaded"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)%20%3E%20(property)%20waitUntil%20%3E%20(variant)%201%20%3E%20(items)%20%3E%20(member)%201">Link to this property</a>

const LinkNewParamsVariant0GotoOptionsWaitUntilArrayNetworkidle0 LinkNewParamsVariant0GotoOptionsWaitUntilArray = "networkidle0"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)%20%3E%20(property)%20waitUntil%20%3E%20(variant)%201%20%3E%20(items)%20%3E%20(member)%202">Link to this property</a>

const LinkNewParamsVariant0GotoOptionsWaitUntilArrayNetworkidle2 LinkNewParamsVariant0GotoOptionsWaitUntilArray = "networkidle2"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)%20%3E%20(property)%20waitUntil%20%3E%20(variant)%201%20%3E%20(items)%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)%20%3E%20(property)%20waitUntil%20%3E%20(variant)%201">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)%20%3E%20(property)%20waitUntil">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions">Link to this property</a>

HTML param.Field\[string]Optional

Body param

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20html">Link to this property</a>

RejectRequestPattern param.Field\[\[]string]Optional

Body param: Block undesired requests that match the provided regex patterns, eg. ’/^.\*.(css)’.

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectRequestPattern">Link to this property</a>

<details>

<summary>

RejectResourceTypes param.Field\[\[]LinkNewParamsVariant0RejectResourceType]Optional

Body param: Block undesired requests that match the provided resource types, eg. ‘image’ or ‘script’.

</summary>

const LinkNewParamsVariant0RejectResourceTypeDocument LinkNewParamsVariant0RejectResourceType = "document"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%200">Link to this property</a>

const LinkNewParamsVariant0RejectResourceTypeStylesheet LinkNewParamsVariant0RejectResourceType = "stylesheet"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%201">Link to this property</a>

const LinkNewParamsVariant0RejectResourceTypeImage LinkNewParamsVariant0RejectResourceType = "image"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%202">Link to this property</a>

const LinkNewParamsVariant0RejectResourceTypeMedia LinkNewParamsVariant0RejectResourceType = "media"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%203">Link to this property</a>

const LinkNewParamsVariant0RejectResourceTypeFont LinkNewParamsVariant0RejectResourceType = "font"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%204">Link to this property</a>

const LinkNewParamsVariant0RejectResourceTypeScript LinkNewParamsVariant0RejectResourceType = "script"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%205">Link to this property</a>

const LinkNewParamsVariant0RejectResourceTypeTexttrack LinkNewParamsVariant0RejectResourceType = "texttrack"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%206">Link to this property</a>

const LinkNewParamsVariant0RejectResourceTypeXHR LinkNewParamsVariant0RejectResourceType = "xhr"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%207">Link to this property</a>

const LinkNewParamsVariant0RejectResourceTypeFetch LinkNewParamsVariant0RejectResourceType = "fetch"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%208">Link to this property</a>

const LinkNewParamsVariant0RejectResourceTypePrefetch LinkNewParamsVariant0RejectResourceType = "prefetch"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%209">Link to this property</a>

const LinkNewParamsVariant0RejectResourceTypeEventsource LinkNewParamsVariant0RejectResourceType = "eventsource"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2010">Link to this property</a>

const LinkNewParamsVariant0RejectResourceTypeWebsocket LinkNewParamsVariant0RejectResourceType = "websocket"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2011">Link to this property</a>

const LinkNewParamsVariant0RejectResourceTypeManifest LinkNewParamsVariant0RejectResourceType = "manifest"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2012">Link to this property</a>

const LinkNewParamsVariant0RejectResourceTypeSignedexchange LinkNewParamsVariant0RejectResourceType = "signedexchange"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2013">Link to this property</a>

const LinkNewParamsVariant0RejectResourceTypePing LinkNewParamsVariant0RejectResourceType = "ping"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2014">Link to this property</a>

const LinkNewParamsVariant0RejectResourceTypeCspviolationreport LinkNewParamsVariant0RejectResourceType = "cspviolationreport"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2015">Link to this property</a>

const LinkNewParamsVariant0RejectResourceTypePreflight LinkNewParamsVariant0RejectResourceType = "preflight"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2016">Link to this property</a>

const LinkNewParamsVariant0RejectResourceTypeOther LinkNewParamsVariant0RejectResourceType = "other"

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2017">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes">Link to this property</a>

SetExtraHTTPHeaders param.Field\[map\[string, string]]Optional

Body param

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20setExtraHTTPHeaders">Link to this property</a>

SetJavaScriptEnabled param.Field\[bool]Optional

Body param

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20setJavaScriptEnabled">Link to this property</a>

UserAgent param.Field\[string]Optional

Body param

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20userAgent">Link to this property</a>

<details>

<summary>

Viewport param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/browser_rendering/subresources/links/methods/create#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20viewport%20%3E%20(schema)">LinkNewParamsVariant0Viewport</a>]Optional

Body param: Check <a href="https://pptr.dev/api/puppeteer.page.setviewport">options</a>.

</summary>

Height float64

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20viewport%20%3E%20(schema)%20%3E%20(property)%20height">Link to this property</a>

Width float64

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20viewport%20%3E%20(schema)%20%3E%20(property)%20width">Link to this property</a>

DeviceScaleFactor float64Optional

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20viewport%20%3E%20(schema)%20%3E%20(property)%20deviceScaleFactor">Link to this property</a>

HasTouch boolOptional

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20viewport%20%3E%20(schema)%20%3E%20(property)%20hasTouch">Link to this property</a>

IsLandscape boolOptional

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20viewport%20%3E%20(schema)%20%3E%20(property)%20isLandscape">Link to this property</a>

IsMobile boolOptional

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20viewport%20%3E%20(schema)%20%3E%20(property)%20isMobile">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20viewport">Link to this property</a>

VisibleLinksOnly param.Field\[bool]Optional

Body param

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20visibleLinksOnly">Link to this property</a>

<details>

<summary>

WaitForSelector param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/browser_rendering/subresources/links/methods/create#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20waitForSelector%20%3E%20(schema)">LinkNewParamsVariant0WaitForSelector</a>]Optional

Body param: Wait for the selector to appear in page. Check <a href="https://pptr.dev/api/puppeteer.page.waitforselector">options</a>.

</summary>

Selector string

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20waitForSelector%20%3E%20(schema)%20%3E%20(property)%20selector">Link to this property</a>

Hidden LinkNewParamsVariant0WaitForSelectorHiddenOptional

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20waitForSelector%20%3E%20(schema)%20%3E%20(property)%20hidden">Link to this property</a>

Timeout float64Optional

maximum120000

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20waitForSelector%20%3E%20(schema)%20%3E%20(property)%20timeout">Link to this property</a>

Visible LinkNewParamsVariant0WaitForSelectorVisibleOptional

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20waitForSelector%20%3E%20(schema)%20%3E%20(property)%20visible">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20waitForSelector">Link to this property</a>

WaitForTimeout param.Field\[float64]Optional

Body param: Waits for a specified timeout before continuing.

maximum120000

<a href="#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20waitForTimeout">Link to this property</a>

</details>

[Link to this property](<#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(params)%200>)

##### ReturnsExpand Collapse

type LinkNewResponseEnvelopeResult \[]string

[Link to this property](<#(resource)%20browser_rendering.links%20%3E%20(method)%20create%20%3E%20(network%20schema)%20%3E%20(property)%20result>)

### Get Links.

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/browser_rendering"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  links, err := client.BrowserRendering.Links.New(context.TODO(), browser_rendering.LinkNewParams{
    AccountID: cloudflare.F("account_id"),
    Body: browser_rendering.LinkNewParamsBodyObject{
      URL: cloudflare.F("https://www.example.com/"),
    },
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", links)
}
```

200 example

429 example

```
{
  "meta": {
    "finalUrl": "finalUrl",
    "headers": {
      "foo": "string"
    },
    "redirectChain": [
      {
        "headers": {
          "foo": "string"
        },
        "status": 0,
        "url": "url"
      }
    ],
    "status": 0,
    "title": "title"
  },
  "result": [
    "string"
  ],
  "success": true,
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ]
}
```

```
{
  "errors": [
    {
      "code": 2001,
      "message": "Rate limit exceeded"
    }
  ],
  "success": false
}
```

##### Returns Examples

200 example

429 example

```
{
  "meta": {
    "finalUrl": "finalUrl",
    "headers": {
      "foo": "string"
    },
    "redirectChain": [
      {
        "headers": {
          "foo": "string"
        },
        "status": 0,
        "url": "url"
      }
    ],
    "status": 0,
    "title": "title"
  },
  "result": [
    "string"
  ],
  "success": true,
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ]
}
```

```
{
  "errors": [
    {
      "code": 2001,
      "message": "Rate limit exceeded"
    }
  ],
  "success": false
}
```